/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file main.c
**
** 
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "app_config.h"

/****************************************************************************/
/*	Local pre-processor symbols('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/

/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/

/*****************************************************************************
 ** \brief	 main
 **
 ** \param [in]  none   
 **
 ** \return 0
 *****************************************************************************/
int main(void)
{	
	uint32_t i,j;
	//MCUʼ
	MCU_Init();	
	//CMS1238ʼ	 ȡڲBGѹֵԼ1.25V
	SigmadeltaADCConfig();	
	
	while(1)
	{
		for(i=0;i<50;i++)
		{
			SigmaDeltaWaitReady();	
			SiDaAdcStr.Data = SigmaDeltaAdcReadData();		
					
			printf("SiDaADC Value :");		
			if(SiDaAdcStr.Data & 0x800000)
			{
				SiDaAdcStr.Data = (~(SiDaAdcStr.Data) +1) &0x7fffff;	
				printf("-%ld\n\r",SiDaAdcStr.Data);
			}				
			else
				printf("%ld\n\r",SiDaAdcStr.Data);		
		
		}
		
		printf("Enter Sleep\n\r");
		
		SigmaDeltaADCEnterSleep();
		
		for(i=0;i<65530;i++)
			for(j=0;j<30;j++);		
		printf("Enter  Work\n\r");
		SigmaDeltaADCWork();
	}

}





















