/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file bsp_gpio.c
**
**  
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "bsp_gpio.h"

/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/

/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/
/******************************************************************************
 ** \brief	 GPIOInit
 **			
 ** \param [in] 
 ** \return  none
 ** \note   
*****************************************************************************/
void GPIOInit(void)
{
	//SiDaADCͨѶ
	P04CFG =0x00;
	P05CFG =0x00;	

	P24CFG =0x00;
	P25CFG =0x00;	
	P35CFG =0x00;	

	P02CFG =0x00;	
	P03CFG =0x00;		
	P17CFG =0x00;		
	
	P00CFG =0x00;
	P01CFG =0x00;
	P21CFG =0x00;
	P22CFG =0x00;
	P23CFG =0x00;
	
	//Ϊģʽ
	P0TRIS =0x00;
	P1TRIS =0x00;
	P2TRIS =0x00;
	P3TRIS =0x00;
	//ر		
	P1UP =0x00;
	P2UP =0x00;	
	P3UP =0x00;
	P0UP =0x00;
	//ر	
	P1RD =0x00;
	P2RD =0x00;	
	P3RD =0x00;
	P0RD =0x00;	
	//رտ©	
	P1OD =0x00;
	P2OD =0x00;	
	P3OD =0x00;
	P0OD =0x00;	
	
	//ݼĴ
	P0 =0;
	P1 =0;
	P2 =0;
	P3 =0;		
}


